Name:       nodejs-boom
Version:    0.4.0
Release:    1%{?dist}
Summary:    HTTP friendly error objects
License:    BSD
Group:      Development/Libraries
URL:        https://github.com/spumko/boom
Source0:    http://registry.npmjs.org/boom/-/boom-%{version}.tgz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires:  nodejs-devel

%description
This library provides friendly JavaScript objects that represent HTTP errors.

%prep
%setup -q -n package

#fix perms
chmod 0644 README.md LICENSE images/* lib/* index.js package.json

%build
#nothing to do

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{nodejs_sitelib}/boom
cp -pr lib index.js package.json %{buildroot}%{nodejs_sitelib}/boom

%nodejs_symlink_deps

#Yet Another Unpackaged Test Framework (lab)
#%%check
#make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nodejs_sitelib}/boom
%doc README.md LICENSE images

%changelog
* Mon Apr 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.4.0-1
- initial package
